# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-flask-openid
%global mod_name Flask-OpenID

Name:           python-module-flask-openid
Version:        1.0.1
Release:        alt1_5
Summary:        OpenID support for Flask

Group:          Development/Python
License:        BSD
URL:            http://github.com/mitsuhiko/flask-openid/
Source0:        http://pypi.python.org/packages/source/F/%{mod_name}/%{mod_name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-module-openid
BuildRequires:  python-module-setuptools
Source44: import.info

%description
Flask-OpenID is an extension to flask that allows you to add openid
based authentication to your website in a matter of minutes.

%prep
%setup -q -n %{mod_name}-%{version}
rm -f docs/.DS_Store
rm -f docs/_static/.DS_Store
rm -f docs/_static/._.DS_Store
rm -f docs/._.DS_Store

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

 
%files
%doc docs LICENSE PKG-INFO README
%{python_sitelibdir_noarch}/*-nspkg.pth
%{python_sitelibdir_noarch}/*.egg-info/
%{python_sitelibdir_noarch}/flaskext/*.py*

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.0.1-alt1_5
- update to new release by fcimport

* Sun Jan 06 2013 Igor Vlasenko <viy@altlinux.ru> 1.0.1-alt1_4
- initial fc import

